> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Detailed Variant Information

POST https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-order-pad
Content-Type: application/json

Returns detailed information about the variants whose SKUs are provided in the body of the request. This includes the information from [Get Variant Information](#get-variant-information) as well as other variant data that may affect pricing, availability, and other factors.

Details provided in the response body are sufficient to quickly add a product to a cart or a quote using appropriate methods.

> Note: This endpoint uses the `POST` method, despite its use to only *retrieve* information. Using the `GET` method with this endpoint will return a `200` status, but the `data` field will be empty. Likewise, using `POST` with this endpoint with an empty body will return an empty `data` field.

Equivalent Storefront GraphQL API Query: `variantSku`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/storefront/catalog/post-catalogs-quick-order-pad

## Authentication

- `Authorization` header (bearer token, required) — ### Authentication header | Header | Argument | Description | | :-------------- | :------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `Authorization` | `Bearer {{B2B_JWT_TOKEN}}` | You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section\[...] |

## Request

### Query parameters

- `currencyCode` (string, optional) — The three-letter currency code to use in price calculation. If not provided, defaults to the store's default currency.

### Body (application/json)

This endpoint expects an object.

- `variantSkus` (list of string, optional) — List of variant SKUs for which to fetch detailed information. If this is omitted, the response will be empty.

## Response

### 200

SUCCESS

- `code` (integer, optional) — HTTP status code of the response.
- `message` (string, optional) — Status message.
- `data` (list of QuickVariantInfoItem, optional) — List of product variant info objects.

## Types

### QuickVariantInfoItem

Detailed information about a specific variant.

- `isStock` (enum, optional) — Indicates whether the variant is currently in stock. A value of `1` indicates the product in stock, otherwise `0`.
  - Allowed values: `0`, `1`
- `stock` (integer, optional) — Current inventory of the variant. If this value returns `0`, so will the `isStock` field.
- `variantSku` (string, optional) — SKU (Stock Keeping Unit) for the variant. This field is unique in a given BigCommerce catalog.
- `productId` (string, optional) — String representation of the product ID for the parent product of the variant.
- `calculatedPrice` (double, optional) — The calculated price of the variant including currency and sale adjustments.
- `imageUrl` (string, optional) — The URL for the image associated with the variant. May return an empty string.
- `variantId` (integer, optional) — The unique variant ID as assigned by BigCommerce.
- `baseSku` (string, optional) — The base SKU from which the variant is derived. This is usually the SKU of the parent product, if it exists.
- `productName` (string, optional) — The name of the product as displayed on product listing and detail pages.
- `categories` (list of integer, optional) — The list of category IDs to which the product is assigned.
- `option` (list of VariantOption, optional) — The list of options and their values that determine the variant.
- `minQuantity` (integer, optional) — The minimum purchase quantity for the variant, as assigned in BigCommerce.
- `maxQuantity` (integer, optional) — The maximum purchase quantity for the variant, as assigned in BigCommerce.
- `purchasingDisabled` (enum, optional) — Indicates whether purchasing this variant is disabled. A value of `0` indicates that the product is purchasable on the storefront.
  - Allowed values: `0`, `1`
- `isVisible` (enum, optional) — Indicates the variant's visibility status A value of `1` indicates the variant is visible, while `0` indicates it is hidden.
  - Allowed values: `1`, `0`
- `modifiers` (list of Modifier, optional) — List of product modifiers available to the variant.

### VariantOption

Option and corresponding value for a variant (e.g., color, size).

- `id` (integer, optional) — The unique option value ID as assigned by BigCommerce. Does **not** match the variant ID by default.
- `label` (string, optional) — The display name for the specific option value.
- `option_id` (integer, optional) — The unique option ID as assigned by BigCommerce. The option contains all the values associated with it. For example, a `Color` option might contain `red`, `green`, and `blue`.
- `option_display_name` (string, optional) — The display name for the option.

### Modifier

Modifiers associated with a product variant.

- `id` (integer, optional) — The unique modifier ID assigned by BigCommerce.
- `productId` (integer, optional) — The unique ID for the product the modifier belongs to.
- `name` (string, optional) — The internal modifier name. This is **not** visible on the storefront by default.
- `displayName` (string, optional) — The modifier's display name as shown on the storefront.
- `type` (enum, optional) — The modifier's type. This value determines how the modifier behaves on the storefront as well as what datatypes are allowed. For more information see the [Product Modifiers](/developer/api-reference/rest/admin/catalog/product-modifiers) API documentation.
  - Allowed values: `swatch`, `radio_buttons`, `rectangles`, `dropdown`, `product_list_with_images`, `product_list`, `text`, `checkbox`, `numbers_only_text`, `date`, `multi_line_text`, `file`
- `required` (boolean, optional) — Indicates whether the modifier is required when adding the variant to cart.
- `sortOrder` (integer, optional) — Indicates the position of the modifier. Lower values are placed earlier in modifier lists.
- `config` (ModifierConfig, optional) — The configuration of the specific modifier. Different modifier `type` values require different structures for this object. For more information, see the [Product Modifiers](/developer/api-reference/rest/admin/catalog/product-modifiers) API documentation.
- `optionValues` (list of ModifierOptionValuesItems, optional) — An array of modifier values, as created within BigCommerce. Different modifier `type` values use different structures for this array. For more information, see the [Product Modifiers](/developer/api-reference/rest/admin/catalog/product-modifiers) API documentation.

### ModifierConfig

The configuration of the specific modifier. Different modifier `type` values require different structures for this object. For more information, see the [Product Modifiers](/developer/api-reference/rest/admin/catalog/product-modifiers) API documentation.

### ModifierOptionValuesItems

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "code": 200,
  "message": "Success",
  "data": [
    {
      "isStock": "0",
      "stock": 0,
      "variantSku": "HB-2-RE-ME",
      "productId": "134",
      "calculatedPrice": 15,
      "imageUrl": "https://cdn.example.com/product_images/attribute_rule_images/2_source_1709578415.jpg",
      "variantId": 119,
      "baseSku": "HB-2",
      "productName": "A Most Excellent Product",
      "categories": [
        24
      ],
      "option": [
        {
          "id": 113,
          "label": "Red",
          "option_id": 120,
          "option_display_name": "Color"
        }
      ],
      "minQuantity": 0,
      "maxQuantity": 0,
      "purchasingDisabled": "0",
      "isVisible": "1",
      "modifiers": [
        {
          "id": 122,
          "productId": 134,
          "name": "forced1709578669-134",
          "displayName": "Custom Message",
          "type": "text",
          "required": true,
          "sortOrder": 3,
          "config": {
            "defaultValue": "text",
            "textCharactersLimited": false,
            "textMaxLength": 0,
            "textMinLength": 0
          },
          "optionValues": []
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-order-pad"

querystring = {"currencyCode":"USD"}

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-order-pad?currencyCode=USD';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-order-pad?currencyCode=USD"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-order-pad?currencyCode=USD")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-order-pad?currencyCode=USD")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-order-pad?currencyCode=USD', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-order-pad?currencyCode=USD");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-order-pad?currencyCode=USD")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```